cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Giacomo Pati <giac...@apache.org>
Subject Re: cvs commit: xml-cocoon/lib servlet_2_3.jar servlet_2_2.jar
Date Sun, 03 Dec 2000 23:16:42 GMT
Hi all

Actually I have a version which is able to compile s2.2 and s2.3
according to the spec. There are some differencies concerning wrapping
the Request/Response objects in 2.3. There are standard wrapper classes
introduced to do so in the 2.3 spec. Because of that there might be some
incompatabilities between the way we wrap Request/Response in C2 today
in a 2.3 env. But since we are not able to put a servlet.jar of 2.3 into
the lib I  didn't commited it. I've heard that C2 together with TC4 hade
some problems when using redirect in XSP pages because of non standard
wrapping.

Actually I can commit my changes and nothing should change as long as
you have a servlet2.2 in the lib dir. As soon as you put a servlet2.3
into lib the build script will use the suggested way of wrapping
Request/Response according to the spec.

Giacomo

Davanum Srinivas wrote:
> 
> Rolled back to Servlet 2.2 Jar file. Sorry for the confusion. I had switched to Tomcat4.0
Latest
> Dev Snapshot and was trying to synch the Jar's.
> 
> Thanks,
> dims
> 
> --- Paul Russell <paul@luminas.co.uk> wrote:
> > On Fri, Dec 01, 2000 at 10:50:00PM -0500, Berin Loritsch wrote:
> > > dims@locus.apache.org wrote:
> > > >   Added:       lib      Tag: xml-cocoon2 servlet_2_3.jar
> > > >   Removed:     lib      Tag: xml-cocoon2 servlet_2_2.jar
> > > I didn't catch the vote to move to 2.3 at this time, is that
> > > what we are doing?
> >
> > Ditto.
> >
> > > I would have to seriously -1 this if it breaks compatibility
> > > with Servlet 2.2!
> >
> > Ditto.
> >
> > > We need Cocoon _with_ sitemap (aka Cocoon 2) to work with
> > > currently available Servlet engines.
> >
> > Ditto. I'd have some very unhappy customers (and bank managers)
> > otherwise. JRun is a must (since we have a project scheduled
> > to deploy on it in 3 months), and I suspect a lot of other
> > people are using commercial servlet containers which will not
> > be s2.3 clean in the near future.
> >
> > Do we actually *need* 2.3 yet?
> >
> >
> > P.
> >
> > --
> > Paul Russell                               <paul@luminas.co.uk>
> > Technical Director,                   http://www.luminas.co.uk
> > Luminas Ltd.
> 
> =====
> Davanum Srinivas, JNI-FAQ Manager
> http://www.jGuru.com/faq/JNI
> 
> __________________________________________________
> Do You Yahoo!?
> Yahoo! Shopping - Thousands of Stores. Millions of Products.
> http://shopping.yahoo.com/

Mime
View raw message